2018-12-12 18:51 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000032Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:10
Reporteruser13 
Assigned ToQuix0r 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000032: ext-cache und ext-sql_patches per Default registrieren und aktivieren
DescriptionIch finde ja eigentlich, dass die Erweiterungen ext-cache und ext-sql_patches per default registirert und aktivert sein sollten und sich nicht mehr deaktivieren oder löschen lassen. Einfach nach dem Einspielen der DB bei der Installation die 2 Erweiterungen registrieren und aktivieren und wenn einer versuchen sollte diese wieder zu deaktivieren oder gar zu löschen zu versuchen den großen roten Holzhammer auspacken ;-).

So wie ich das sehe ist ja ext-cache ziemlich tiefgehend und benötigt oft eine unterscheidung im Code ob aktiviert oder deaktiviert. Etliche Bugs treten ja nur dann auf, wenn ext-cache deaktiviert ist. Ein weiterer Punkt ist ja, dass sich der Mailtauscher ohne ext-cache ja eigentlich, wegen der vielen DB-Abfragen, nicht betreiben läst. Code für deaktiviertem ext-cache löschen und gut ist, dann entfallen alle Abfragen ob ext-cache aktiviert ist und keine Bugs mehr bei nicht aktiviertem ext-cache.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000071

user13

Bitte Kategorie Feature Request zuweisen.

~0000074

Quix0r (administrator)

Hab ich getan. N/A verwende ich immer fuer Feature Request.

~0000101

Quix0r (administrator)

Meine Idee hierzu waere:
- In der install.php wird bei Abschluss der Installation ein Filter registriert
- Dieser soll die per Default immer zu installierenden Erweiterungen installieren
- Sobald dies abgeschlossen ist, also das Script zum ersten Mal "normal" gelaufen ist, wird der Filter ausgefuehrt und deregistriert sich selbst
- Dann wird er nicht immer ausgefuehrt.

Wann das "erste Mal normal ausgefuehrt" ist, muss ich noch schauen. Vielleicht nachdem das erste Adminlogin angelegt wurde.

~0000177

user13

Jo währe auch eine möglichkeit und das sollte wie vorgeschlagen direkt nach dem anlegen des adminlogin geschehen.

~0000437

Quix0r (administrator)

Ich werde das heute Abend mal angehen und bei einem ohnehin anstehenden Refacturing der Installationsroutine gleich mit einarbeiten.

~0000573

Quix0r (administrator)

Dies sollte nun auch seit den letzten Revisionen fehlerfrei klappen. Es wird ext-sql_patches (registriert ext-cache automatisch mit) und ext-task installiert. ext-task ist sehr nützlich und "allgemeingültig" geschrieben.

~0000705

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-26 21:03 user13 New Issue
2008-12-26 21:05 user13 Note Added: 0000071
2008-12-27 00:39 Quix0r Note Added: 0000074
2008-12-27 00:39 Quix0r Reproducibility have not tried => N/A
2008-12-27 00:39 Quix0r Category => Feature Request
2009-01-02 22:28 Quix0r Note Added: 0000101
2009-01-02 22:30 Quix0r Projection none => minor fix
2009-01-02 22:30 Quix0r ETA none => < 1 day
2009-01-02 22:30 Quix0r Product Version => 0.2.1-FINAL
2009-01-02 22:30 Quix0r Fixed in Version => 0.2.1-FINAL
2009-01-02 22:30 Quix0r Target Version => 0.2.1-FINAL
2009-02-06 01:56 Quix0r Build => SVN-HEAD
2009-02-06 01:56 Quix0r Description Updated
2009-02-09 13:00 user13 Note Added: 0000177
2009-08-06 14:06 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:06 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-04-03 21:15 Quix0r Note Added: 0000437
2010-04-03 21:15 Quix0r Assigned To => Quix0r
2010-04-03 21:15 Quix0r Status new => assigned
2010-04-03 21:15 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:41 Quix0r Product Version => 0.2.1-FINAL
2012-10-08 07:44 Quix0r Note Added: 0000573
2012-10-08 07:44 Quix0r Status assigned => resolved
2012-10-08 07:44 Quix0r Fixed in Version => 0.2.1-FINAL
2012-10-08 07:44 Quix0r Resolution open => fixed
2016-11-23 10:10 Quix0r Note Added: 0000705
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History